Name: Getleft
Version: 1.2a1
Release: alt0.1

Summary: Tcl/Tk WWW site grabber powered by curl
Summary(ru_RU.KOI8-R):    GUI Tcl/Tk  

License: GPL
Group: Networking/WWW
Url: http://personal.iddeo.es/andresgarci/getleft/english/

Packager: Alexander Nekrasov <canis@altlinux.ru>

Source: http://dl.sf.net/getleftdown/%name-%version.tar.bz2

BuildArchitectures: noarch

Autoreq: no
BuildRequires: tcl
Requires: tcl >= 8.1, tk >= 8.1, tcl-tile >= 0.6

%description
Given an Url, Getleft will try to download all linked urls.

As it goes it modifies the original html pages, so that absolute links
get changed to relative links and link to active pages get changed to
the resulting page.

Getleft supports English, Polish, French, Turkish, Korean, German,
Italian, Dutch, Portuguese, Esperanto, Russian, Chinese and Spanish

%description -l ru_RU.KOI8-R
Getleft -        ,   Tcl/Tk.
   URL, Getleft       ,
    .
      html, ,   
    ,         .
Getleft ""   : , , , ,
, , , , , , ,   .

%prep
%setup -q

%build
%install
mkdir -p %buildroot{%prefix,%_sysconfdir,%_bindir,%_docdir}
%__subst "s|/usr|%buildroot%prefix|g" ./install.tcl
%__subst "s|/etc|%buildroot%_sysconfdir|g" ./install.tcl
./install.tcl --prefix=%buildroot%prefix
%__subst "s|%buildroot||g" %buildroot%_sysconfdir/getleft.conf
#rm -rf %buildroot%prefix/doc

#install menu
mkdir -p %buildroot%_menudir
cat >%buildroot%_menudir/%name <<EOF
?package(Getleft): command="%name" needs="X11" \\
icon="Getleft.png" section="Networking/WWW/" \\
title="Getleft" \\
genericname="off-line browser" \\
longtitle="GUI off-line browser"
EOF

%post
%update_menus

%postun
%clean_menus

%files
#%doc doc
%_datadir/doc/getleft-1.2
%_sysconfdir/*
%_bindir/*
%_libdir/getleft
%_menudir/%name
#%_iconsdir/*
%_datadir/getleft

%changelog
* Mon Dec 26 2005 Vitaly Lipatov <lav@altlinux.ru> 1.2a1-alt0.1
- NMU: new version
- cleanup spec, use internal script for install
- fix bugs with owners of dirs

* Mon Sep 22 2003 Alexander Nekrasov <canis@altlinux.ru> 1.1.1-alt2
-build architecture correction

* Mon Sep 22 2003 Alexander Nekrasov <canis@altlinux.ru> 1.1.1-alt1
- first build
